<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 

if (isset($_SESSION['tipousuario']))

		{if ($_SESSION['tipousuario']=='1')

		header ('location:menu_personal.php');

		}



if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

include "fphp.php";	

$enlace=cargar_conexion();

menu();



if ($_POST['busca']==2) {

	if ($_POST['consulta']!='') {

		$consulta="insert into tab_soporte (usuario, empresa, comentario) values ('".$_SESSION['usuario_validar']."','".$_SESSION['empresa_validar']."','".$_POST['consulta']."')";
																														

		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));			



		//$sql="select e_mail from tab_usuario where id='".$_SESSION['id_validar']."' AND usuario='".$_SESSION['usuario_validar']."' "; con esta condición no genera el destinatario con el email del usuario cuando es Master (multiple) porque no identifica el id 
		$sql="select e_mail from tab_usuario where usuario='".$_SESSION['usuario_validar']."' ";

		$resultset = mysqli_query($enlace,$sql) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$num_rows = mysqli_num_rows($resultset);

		$emailfinal="SAIREH Nomina <info@saireh.com>";

		if ($num_rows != 0) {

			$row=mysqli_fetch_array($resultset);

			$emailfinal=explode(",",$row["e_mail"]);

			$usuarioenvia=$row["detalle"];

		

			$emailfinal=$row["detalle"]." <".trim($emailfinal[0]).">";

		}

		

		$consulta="Select * from tab_parametro";

		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		$num_rows = mysqli_num_rows($resultado);

		if ($num_rows != 0) {

			$row=mysqli_fetch_array($resultado);

			$email1=$row['email01'];

			$email2=$row['email02'];

			//// armar correo

			$asunto = 'Consulta en Soporte SAIREH Nómina de: '.$_SESSION['nombre_validar'];

			$email = 'info@saireh.com';

			$mensaje = 'Consulta: '.$_POST['consulta']."<br>";

			$mensaje .= 'Empresa: '.$_SESSION['empresa_validar']."<br>";

			$mensaje .= 'Usuario: '.$_SESSION['usuario_validar']."<br>";

			$destinatario=($email1==''?'':$email1).($email2==''?'':",".$email2);

			$destinatario="soporte@saireh.com";

			$headers.="X-Mailer: PHP/". phpversion()."\r\n";

			$headers.="MIME-Version: 1.0 \r\n"; 

			$headers.="Content-Type: text/html; charset=iso-8859-1\r\n"; 

			$headers.="From: $emailfinal\r\n";

			mail("$destinatario",utf8_decode("$asunto"),utf8_decode("<br>$mensaje."),"$headers");

		}	

	}	

}

?>

		<br><br><br>

		<form name = 'entrada' action = '<? echo $_SERVER['PHP_SELF']; ?>' method = 'POST'  enctype='multipart/form-data'>

		<table border=0 align=center >

			<tr>

				

				<td align=center width='100%' HEIGHT='301'>

                <h1>Soporte </h1>

                <?		$consulta="Select * from tab_soporte where usuario='".$_SESSION['usuario_validar']."' order by fecha desc";

						$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

						$linea='';

						while ($row=mysqli_fetch_array($resultado)) {

							$linea .="# ".$row['num']." - ".$row['fecha']." \n ".$row['usuario'].": ".$row['comentario']." \n";

							$linea .=str_repeat("-",35)."\n";

						} 

						if ($linea=='') $linea='Consulte en l&iacute;nea con nuestro Soporte T&eacute;cnico y Legal. Cualquier duda o inquietud le ser&aacute;n atendidos a la mayor brevedad posible.';

						echo "<textarea style='width:600px; height:280px; color:#fff; background-color:#464D77;' readonly>".$linea."</textarea>";

						echo "<input type = 'hidden' name = 'busca' value = '2'><center></br></br>";

						//echo "<input style='color:#484C4F;' name='consulta' size = '60' maxlength = '100'>";

						echo "<h1>Nueva Consulta: </h1></br>";

						echo "<textarea style='width:600px; height:100px; color:#484C4F;' name='consulta' ></textarea></br>";

						echo "<input style='font-weight:bold;' type = 'submit' value = 'Enviar'>";

				?>		

				</td>

			</tr>

		</table></form>			

		<br><br><br>

<?

mysqli_close($enlace);

?>	

<br><table border=0 align=center width='100%'>

	<tr>

				<td align=center width='100%'>		

					<p align='center'><a href='http://www.consultarh.com' target='_blank'><img src='img2/logoc.png' /></a></p>

				</td>		

	</tr>

</table>	

</td></tr></table>

</body>

</html>